#!/usr/bin/perl
#
# This script repeates model state as many times as specified in the dur file
#
if($ARGV[0] eq "")
{
	print "syntax: create_dummy_hmms.pl list\n";
	exit(1);
}

print "~o\n";
print "<STREAMINFO> 1 1\n";
print "<VECSIZE> 1<NULLD><USER>\n";

open L, $ARGV[0] or die "Can not open $ARGV[0]";
while($l = <L>)
{
	chomp $l;
	print "~h \"$l\"\n";
	print "<BEGINHMM>\n";
	print "<NUMSTATES> 3\n";
	print "<STATE> 2\n";
	print "<NUMMIXES> 1\n";
	print "<MIXTURE> 1 1\n";
	print "<MEAN> 1\n";
	print "0\n";
	print "<VARIANCE> 1\n";
	print "10\n";
	print "<TRANSP> 3\n";
	print "0.000000e+00 1.000000e+00 0.000000e+00\n";
	print "0.000000e+00 5.000000e-01 5.000000e-01\n";
	print "0.000000e+00 0.000000e+00 0.000000e+00\n";
	print "<ENDHMM>\n";
}
close L;
