#!/usr/bin/perl

# This scripts removes those entries from a list which are in those others

if($ARGV[0] eq "" || $ARGV[1] eq "")
{
	print "SYNTAX: subtr_lists.pl list1 list2 [list3 ... listN]\n";
	exit(1);
}

# load other lists
$i = 1;
while($ARGV[$i] ne "")
{
	open L, $ARGV[$i] or die "Can not open $ARGV[$i]";
	while($l = <L>)
	{
		chomp $l;
		$entries{$l} = 1;
	}
	close L;
	$i++;
}

# Filter the list
open L, $ARGV[0] or die "Can not open $ARGV[0]";
while($l = <L>)
{
	chomp $l;
	if(! defined $entries{$l})
	{
		print "$l\n"; 
	}
}
close L;
