#!/bin/sh

if [ $# -ne 4 ] ; then
	echo USAGE: streams_postprocess_stream_posteriors.sh config_file input_pfile output_pfile
	exit 1
fi

conf=$1
input=$2
output=$3

conf_path=${conf%\/*}
conf_global="$conf_path/_global.sh"

source $conf_global
source $conf

if [ -e $output ] ; then
	rm -f $output
fi

ln -s $input $output
